package org.bench4q.monitor.service.linux;


import java.io.FileNotFoundException;
import java.io.IOException;

import org.bench4q.monitor.model.MemoryModel;
import org.bench4q.monitor.performance.linux.MemoryMonitor;

public class MemoryServiceLinux  {
	private MemoryMonitor memoryMonitor;
	public MemoryServiceLinux() throws FileNotFoundException  {
		memoryMonitor=new MemoryMonitor();
	}

	public MemoryModel getMemoryInfo(int idleTime) throws IOException{
		return this.memoryMonitor.getMemoryInfo(idleTime);
	}
}
